@import "vars";

.top__product {
  display: flex;
}

.product__slider {
  background-image: url("../img/product-slider.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 100vh;
  width: 100vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: 1px solid #EAEAEA;

  &_button:hover {
    transform: scale(1.05);
    transition: all .3s;
  }
}

.product__box {
  width: 100%;
  border: 1px solid #EAEAEA;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 10;
  margin-top: -64px;
  background-color: #FFFFFF;
  margin-bottom: 128px;

  &_description {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
}

.product__category_heading {
  color: $colorSite;
  font-weight: 300;
  font-size: 14px;
  line-height: 17px;
  margin-top: 64px;
  margin-bottom: 12px;
}

.product__line-bold {
  width: 63px;
  height: 3px;
  background-color: $colorSite;
  border: 1px solid $colorSite;
  margin-bottom: 12px;
}

.product__brand_heading {
  color: $mediumColorText;
  font-weight: 300;
  font-size: 18px;
  line-height: 22px;
  margin-bottom: 48px;
}

.product__brand_text {
  margin-bottom: 32px;
  width: 555px;
  text-align: center;
  font-weight: 300;
  color: $mediumLightColorText
}

.price_product {
  font-size: 24px;
  line-height: 28px;
  margin-bottom: 64px;
  font-weight: 300;
}


.product__line-light {
  width: 642px;
  height: 1px;
  background-color: $shadowsSite;
  margin-bottom: 64px;
}

.product__sort_box {
  display: flex;
  margin-bottom: 48px;
}

.sort__details-product {
  margin: 0 22px 0 22px;
}

.button__product {
  margin-bottom: 64px;
  display: flex;
  align-items: center;
  border: 1px solid $colorSite;
}

.product__button_add {
  color: $colorSite;
  align-items: center;
  font-size: 16px;
  line-height: 19px;
  font-weight: 400;
  padding: 15px 40px 15px 40px;
  box-shadow: 5px 5px 8px 0 rgba(241, 109, 127, 0.62);
  transition: all .3s;
  &:hover {
    background-color: $colorSite;
    color: $lightColorText;
  }
  &:hover path {
    fill: $lightColorText;
  }
}

.button_pic {
  vertical-align: middle;
  padding-right: 15px;
}

.footer {
  margin-top: 128px;
}



